%define ver_major 0.4
%def_with webkit
%def_without mozilla

Name: awn-extras
Version: %ver_major.1
Release: alt2

Summary: Extra applets for Avant Window Navigator
Group: Graphical desktop/Other
License: GPLv2+ GPLv3 BSD and Creative Commons Attribution-Share Alike 3.0
Url: https://launchpad.net/awn-extras

Source: %url/%ver_major/%version/+download/%name-%version.tar.bz2
Patch: %name-0.4.1-libnotify.patch

# Automatically added by buildreq on Wed Apr 14 2010
BuildRequires: avant-window-navigator gstreamer-devel intltool libGConf-devel
BuildRequires: libXcomposite-devel libawn-devel libdesktop-agnostic-module-cfg-gconf libsexy-devel
BuildRequires: libgnome-menus-devel libgtop-devel libvte-devel libwnck-devel python-module-PyXML
BuildRequires: python-module-feedparser python-module-gdata python-module-gnome-menus python-module-gst python-module-libxml2
BuildRequires: python-module-notify python-module-pygnome-desktop python-module-pygnome-devel python-module-pygnome-gconf 
BuildRequires: python-module-vobject python-modules-encodings libvala-devel
BuildRequires: libwebkitgtk2-devel
BuildRequires: libnotify-devel >= 0.7.1
#BuildRequires: xulrunner-devel

%description
Avant Window Navigator is a dock-like bar which sits at the bottom of
your screen, allowing you to launch and control applications. It also
has the ability to embed external applets. The look and feel are fully
customizable, and theming support is also available.

This package contains optional applets for avant-window-navigator,
including a notification area, system monitor, battery monitor, trash
applet, volume control, weather applet and more.

%prep
%setup -q
%patch -p1 -b .libnotify

%build
export am_cv_python_pythondir=%python_sitelibdir
%configure --disable-static \
	%{subst_with webkit} \
	%{subst_with mozilla}

%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name

%define schemas awn-applet-awnterm awn-applet-bandwidth-monitor awn-applet-battery awn-applet-cairo-clock awn-applet-cairo-menu awn-applet-calendar awn-applet-comics awn-applet-cpufreq awn-applet-dialect awn-applet-digital-clock awn-applet-feeds awn-applet-file-browser-launcher awn-applet-garbage awn-applet-hardware-sensors awn-applet-mail awn-applet-media-control awn-applet-media-player awn-applet-mount awn-applet-notification-area awn-applet-notification-daemon awn-applet-pandora awn-applet-places awn-applet-quit awn-applet-shinyswitcher awn-applet-slickswitcher awn-applet-stacks awn-applet-sysmon awn-applet-to-do awn-applet-volume-control awn-applet-weather awnsystemmonitor awn-applet-webapplet

%post
%gconf2_install %schemas

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %schemas
fi

%files -f %name.lang
%_libdir/awn/applets/*
%python_sitelibdir/awn/extras
%_datadir/avant-window-navigator/*
%_iconsdir/hicolor/*/*/*
%config %_sysconfdir/gconf/schemas/awn-applet-awnterm.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-bandwidth-monitor.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-battery.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-cairo-clock.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-cairo-menu.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-calendar.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-comics.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-cpufreq.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-dialect.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-digital-clock.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-feeds.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-file-browser-launcher.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-garbage.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-hardware-sensors.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-mail.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-media-control.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-media-player.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-mount.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-notification-area.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-notification-daemon.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-pandora.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-places.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-quit.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-shinyswitcher.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-slickswitcher.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-stacks.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-sysmon.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-to-do.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-volume-control.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-weather.schemas
%config %_sysconfdir/gconf/schemas/awnsystemmonitor.schemas
%config %_sysconfdir/gconf/schemas/awn-applet-webapplet.schemas

%doc README AUTHORS ChangeLog COPYING.CCASAv3.0

%changelog
* Wed Aug 31 2011 Yuri N. Sedunov <aris@altlinux.org> 0.4.1-alt2
- built webkit engine for webapplet due incompatibility with new
  xulrunner (ALT #26156)

* Mon May 02 2011 Yuri N. Sedunov <aris@altlinux.org> 0.4.1-alt1
- build upstream snapshot

* Fri Oct 08 2010 Yuri N. Sedunov <aris@altlinux.org> 0.4.0-alt2
- rebuild against new webkit

* Wed Apr 14 2010 Yuri N. Sedunov <aris@altlinux.org> 0.4.0-alt1
- first build for Sisyphus

